> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SSO Login URL

> Gets the SSO login URL for a specific email domain.

`Unary` · [`Accounts`](https://ona.com/docs/api-reference/generated/account/overview)

Gets the SSO login URL for a specific email domain.

Use this method to:

* Initiate SSO authentication
* Get organization-specific login URLs
* Handle SSO redirects

### Examples

* Get login URL:

  Retrieves SSO URL for email domain.

  ```yaml theme={null}
  email: "user@company.com"
  ```

* Get URL with return path:

  Gets SSO URL with specific return location.

  ```yaml theme={null}
  email: "user@company.com"
  returnTo: "https://gitpod.io/workspaces"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.AccountService/GetSSOLoginURL
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.AccountService/GetSSOLoginURL" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "email": "<email>"
}'
```

```python Python theme={null}
import gitpod.v1.account_pb2 as account_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = account_pb2.GetSSOLoginURLRequest(
    email="<email>",
)
response = ona.services.account.get_sso_login_url(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { GetSSOLoginURLRequestSchema } from "@gitpod/sdk/gitpod/v1/account_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(GetSSOLoginURLRequestSchema, {
    email: "<email>",
  });
  const response = await ona.services.account.getSSOLoginURL(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.GetSSOLoginURLRequest{
		Email: "<email>",
	})
	response, err := ona.Services.Account.GetSSOLoginURL(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "email": "<email>"
}
```

## Request

`gitpod.v1.GetSSOLoginURLRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `email` | string | Yes | email is the email the user wants to login with Constraints: `required=true, string.email=true`. |
| `returnTo` | string | No | return\_to is the URL the user will be redirected to after login Constraints: `ignore=1, string.uri=true`. |

## Response

`gitpod.v1.GetSSOLoginURLResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `loginUrl` | string | Yes | login\_url is the URL to redirect the user to for SSO login Constraints: `required=true`. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.